buildroot 2.2.0 rc2 issue

Go To Last Post
4 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hi all,

I have downloaded the buildroot, ran make atngw100_defconfig and then make and get the following error when it hits libdaemon:

checking whether make sets $(MAKE)... (cached) yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... Invalid configuration `avr32-linux': machine `avr32' not recognized
configure: error: /bin/sh ./config.sub avr32-linux failed

Is this a typo in a setup script somewhere perhaps?

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

You must update autoconf tools on your machine, specially the config.sub and config.guess scripts in /usr/share/automake/config.{sub,guess} are not updated.

Old Linux distribution? The proper config.sub and config.guess with AVR32 support has been available for 2 years now, and I think most distributions updated their autoconf/make/whatever packages pretty often.

Hans-Christian

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thanks hce!

It doesn't seem to be an old distro: 2.6.9-55.0.6.ELsmp #1 SMP Tue Sep 4 21:05:30 EDT 2007 x86_64 x86_64 x86_64 GNU/Linux

Looking at the automake versions available in /usr/share, there are 1.4 to 1.9.. perhaps my setup is using an older version

Thanks again!

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Update, I've moved to rc3 and gave up on the linux servers. The autoconf, automake etc were all too old and the admin is quite a grouch about upgrading anything. So I've been running a ubuntu 8.04 virtual machine using vmware player, and the default build works fine.

However, when I try to add the python packages on, I get the following:

/usr/bin/gcc -pthread  -Xlinker -export-dynamic -o python \
			Modules/python.o \
			libpython2.4.a -lpthread -ldl  -lutil   -lm  
libpython2.4.a(posixmodule.o): In function `posix_tmpnam':
posixmodule.c:(.text+0x7f4): warning: the use of `tmpnam_r' is dangerous, better use `mkstemp'
libpython2.4.a(posixmodule.o): In function `posix_tempnam':
posixmodule.c:(.text+0x8c4): warning: the use of `tempnam' is dangerous, better use `mkstemp'
make[1]: `Parser/pgen' is up to date.
make[1]: Leaving directory `/home/jstewart/work/buildroot-avr32-v2.2.0-rc3/build_avr32/Python-2.4.2'
/bin/bash: line 8: -/usr/bin/make: No such file or directory
make: *** [/home/jstewart/work/buildroot-avr32-v2.2.0-rc3/build_avr32/Python-2.4.2/.hostpython] Error 127

/usr/bin/make is definitely there, is there perhaps a typo with that "-" in front of the path that is causing a problem? No idea what file might have that, though.

Any ideas? Also will Python 2.5 be included in the final release of the buildroot?

Thanks!